<template>
    <div v-if="haveOverdue && currentPay">
        <div v-if="haveOverdue && $interface.isMobile" class="overdue-pay-details">
            <div class="title">Детализация</div>

            <div class="details-data">
                <div class="data">
                    <div class="sum">{{debtSum.percent|currency}} ₽</div>
                    <div class="info-text">сумма процентов</div>
                </div>
                <div class="data">
                    <div class="sum">{{debtSum.penalties|currency}} ₽</div>
                    <div class="info-text">штрафы и комиссии</div>
                </div>
                <div class="data">
                    <div class="sum">{{debtSum.body|currency}} ₽</div>
                    <div class="info-text">Основной долг</div>
                </div>
            </div>
        </div>

        <div v-if="haveOverdue" class="overdue-pay">
            <div class="pay-date">Задолженность</div>
            <div class="pay-amount">{{overdueAmount|currency}} ₽</div>
        </div>

        <div v-if="haveOverdue && !$interface.isMobile" class="overdue-pay-details">
            <div class="title">Детализация</div>

            <div class="details-data">
                <div class="data">
                    <div class="sum">{{debtSum.percent|currency}} ₽</div>
                    <div class="info-text">сумма процентов</div>
                </div>
                <div class="data">
                    <div class="sum">{{debtSum.penalties|currency}} ₽</div>
                    <div class="info-text">штрафы и комиссии</div>
                </div>
                <div class="data">
                    <div class="sum">{{debtSum.body|currency}} ₽</div>
                    <div class="info-text">Основной долг</div>
                </div>
            </div>
        </div>

        <div v-if="haveOverdue" class="overdue-pay-plus">
            <SVGIcon xlink="big-plus"  view-box="0 0 32 32"></SVGIcon>
        </div>

        <div v-if="currentPay" class="active-current-pay">
            <div class="pay-date">К оплате до {{currentPay.date|date}}</div>
            <div class="pay-amount">{{currentPay.amount|currency}} ₽</div>
        </div>
    </div>
</template>

<script>
    import dayjs from 'dayjs';
    import {ruMonthName} from '@/helpers/index'
    import ScheduleMixin from '../mixins/schedule.js';
    import SVGIcon from '@/components/SVGIcon';

	export default {
		name: 'component-pos-payment-info-header',
        mixins: [ScheduleMixin],
        components: {
			SVGIcon
        },
        filters: {
        	date(value) {
        		const date = dayjs(value);
        		return date.format('DD') + ' ' + ruMonthName(date.format('MM')) + ' ' + date.format('YYYY');
            }
        },


		methods: {
			test () {

            }
        }
	};
</script>

<style scoped>

</style>
